Explain data frame analytics config

  • POST also GET /_ml/data_frame/analytics/{id}/_explain
  • POST also GET /_ml/data_frame/analytics/_explain
Auth

This API provides explanations for a data frame analytics config that either exists already or one that has not been created yet. The following explanations are provided:

  • which fields are included or not in the analysis and why,
  • how much memory is estimated to be required. The estimate can be used when deciding the appropriate value for model_memory_limit setting later on. If you have object fields or fields that are excluded via source filtering, they are not included in the explanation.

Required privileges

Cluster privileges monitor_ml

Path parameters

id string optional

Identifier for the data frame analytics job. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It must start and end with alphanumeric characters.

Leave it out to use /_ml/data_frame/analytics/_explain.

Request body

description string

A description of the job.

model_memory_limit string · default: 1gb

The approximate maximum amount of memory resources that are permitted for analytical processing. If your elasticsearch.yml file contains an xpack.ml.max_model_memory_limit setting, an error occurs when you try to create data frame analytics jobs that have model_memory_limit values greater than that setting.

max_num_threads number · default: 1

The maximum number of threads to be used by the analysis. Using more threads may decrease the time necessary to complete the analysis at the cost of using more CPU. Note that the process may use additional threads for operational functionality other than the analysis itself.

allow_lazy_start boolean · default: false

Specifies whether this job can start when there is insufficient machine learning node capacity for it to be immediately assigned to a node.

Response

application/json
field_selection object[] required

An array of objects that explain selection for each field, sorted by the field names.

is_included boolean required

Whether the field is selected to be included in the analysis.

is_required boolean required

Whether the field is required.

feature_type string

The feature type of this field for the analysis. May be categorical or numerical.

mapping_types string[] required

The mapping types of the field.

name string required

The field name.

reason string

The reason a field is not selected to be included in the analysis.

memory_estimation object required

An array of objects that explain selection for each field, sorted by the field names.

expected_memory_with_disk string required

Estimated memory usage under the assumption that overflowing to disk is allowed during data frame analytics. expected_memory_with_disk is usually smaller than expected_memory_without_disk as using disk allows to limit the main memory needed to perform data frame analytics.

expected_memory_without_disk string required

Estimated memory usage under the assumption that the whole data frame analytics should happen in memory (i.e. without overflowing to disk).